- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# popt/poptconfig.c File Reference

`#include "system.h"`
`#include "poptint.h"`

Go to the source code of this file.

## Functions
static void | configLine (poptContext con, char *line)
int | poptReadConfigFile (poptContext con, const char *fn)
| Read configuration file.
int | poptReadDefaultConfig (poptContext con, int useEnv)
| Read default configuration from /etc/popt and $HOME/.popt.

## Detailed Description

Definition in file poptconfig.c.

## Function Documentation

static void configLine | ( | poptContext | con,
|  | char * | line |
| ) |  |  | `[static]`

Definition at line 13 of file poptconfig.c.

References alloca(), poptContext_s::appName, POPT_ARG_STRING, POPT_ARGFLAG_DOC_HIDDEN, and poptParseArgvString().

Referenced by poptReadConfigFile().